Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

This document will highlight some key aspects of the upgrade process of the current Opmantek Applications.


Image Added

Upgrade requirements

In order to be able to upgrade please ensure the following product versions are installed on your system.


SECTION A: Upgrading NMIS

...

8 compatible applications


ApplicationVersion
NMIS
9
8
9
8.
1
7.
0G
1G or earlier version
opCharts
4
33.4.
1.3 or
0 or earlier version
opConfig
3.4.
1.1 or
0 or earlier version
opEvents
3
2
3
2.
1
5.0 or earlier version
opHA
3
2
3
2.1.
2 or
6 or earlier version
opReports
4
3.
1
3.
1 or
0 or earlier version
opFlow 33.0.16 or earlier version


SECTION B: Upgrading NMIS

...

9 compatible applications


ApplicationVersion
NMIS 8989.71.1G 0G or earlier version
opCharts 343.4.0 or 1.3 or earlier version
opConfig 3.4.0 or 1.1 or earlier version
opEvents 2323.51.0 or earlier version
opHA 2323.1.6 or 2 or earlier version
opReports 34.31.0 or 1 or earlier version
opFlow 33.0.16 or earlier version


Check compatibility with other OMK apps

...

  • Load the applications and verify the basic operations firsts as login, load process and data displayed. 
  • Review the specific application log for errors (opEvents.log, opCharts.log, etc)
  • The installer saves a log of all actions taken, files copied etc. in the installation directory as install.log, ie. normally it'll be in /usr/local/omk/install.log. Subsequent upgrades or installations of other Opmantek products will add to that logfile, so you may very well want to remove or clear the install.log file before upgrading or adding extra software.

SECTION C: Upgrading from NMIS8 compatible applications to NMIS9 compatible applications

SECTION D: Nick's migration page

Restoring from backup


How to restore from a failed upgrade

...